char *def_sounds[205] = {
"#\n",
"# This is a reasonably heavily modified version of the sounds file from the\n",
"# server.\n",
"#\n",
"# Originally it was felt that full path names were needed, but since this file\n",
"# was installed in the user's .crossfire directory, that meant all it would\n",
"# take to break sound was to install the sound files somewhere else.  It is\n",
"# better to make the sound server use a location determined at build time - in\n",
"# addition to allowing use of a user-accessible cache to allow override of the\n",
"# default sound set.  Henceforth, paths should NOT be present in this file,\n",
"# and, along these same lines, the sound name in column one should not include\n",
"# a .extension (like .raw or .ogg).\n",
"#\n",
"# There are two sections - one for normal sounds, and one for spell sounds.\n",
"# They are differentiated by the header 'Standard Sounds:' and 'Spell Sounds:'\n",
"#\n",
"# Empty lines and lines starting with # are ignored.\n",
"#\n",
"# Format of the file:  pathname to sound, default volume (what volume gets\n",
"# played if it is centered on the player), symbolic name (not currently used\n",
"# for anything, but may be in the future for the server to communicated to the\n",
"# client), and sound number..  Symbolic name and sound number may be ommitted.\n",
"# If sound number is missing, the sound will be assigned one higher than the\n",
"# last sound read in.\n",
"#\n",
"# the symbolic name can be DEFAULT, in which case all sounds for that section\n",
"# which are otherwise not set will be set to that value.  This can be\n",
"# especially useful for that magic section, since new spells get added fairly\n",
"# often.\n",
"#\n",
"# The volume of 100 means max volume.  Anything higher may break the sound\n",
"# handling.\n",
"#\n",
"# The server does not currently communicate what sound to play via the sound\n",
"# number, so this file is technically obsolete and is likely to discontinued\n",
"# once cfsndserv is better equipped to support the sound2 protocol.\n",
"#\n",
"# If a copy of this file is in ~/.crossfire/, it is loaded from there.\n",
"#\n",
"Standard Sounds:\n",
"\n",
"su-fanf		 30	SOUND_NEW_PLAYER	0\n",
"Teeswing 	 80	SOUND_FIRE_ARROW	1\n",
"chord		100	SOUND_LEARN_SPELL	2\n",
"Missed		 70	SOUND_FUMBLE_SPELL	3\n",
"Missed		 70	SOUND_WAND_POOF		4\n",
"Creaky-1	 90	SOUND_OPEN_DOOR		5\n",
"blip 		 80	SOUND_PUSH_PLAYER	6\n",
"click1		 60	SOUND_PLAYER_HITS1	7\n",
"click2		 70	SOUND_PLAYER_HITS2	8\n",
"click1		 80	SOUND_PLAYER_HITS3	9\n",
"click2		 90	SOUND_PLAYER_HITS4	10\n",
"FloorTom	 70	SOUND_PLAYER_IS_HIT1	11\n",
"ouch1		 80	SOUND_PLAYER_IS_HIT2	12\n",
"thru 		 90	SOUND_PLAYER_IS_HIT3	13\n",
"drip 		 80	SOUND_PLAYER_KILLS	14\n",
"squish		 80	SOUND_PET_IS_KILLED	15\n",
"gong 		150	SOUND_PLAYER_DIES	16\n",
"Whoosh		100	SOUND_OB_EVAPORATE	17\n",
"Explosion	100	SOUND_OB_EXPLODE	18\n",
"TowerClock	130	SOUND_CLOCK		19\n",
"boink2 		 80	SOUND_TURN_HANDLE	20\n",
"MetalCrash 	200	SOUND_FALL_HOLE		21\n",
"Puke 		130	SOUND_DRINK_POISON	22\n",
"\n",
"# Spells :		SOUND_CAST_SPELL_0	23, 24, 25 ...\n",
"Spell Sounds:\n",
"\n",
"magic		100	DEFAULT\n",
"swish		 70	\"magic bullet\" 			/* 0 */\n",
"swish		 60	\"small fireball\"\n",
"swish		 80	\"medium fireball\"\n",
"swish		100	\"large fireball\"\n",
"magic		100	\"burning hands\"\n",
"lightning1	 70	\"small lightning\"\n",
"lightning1	 90	\"large lightning\"\n",
"swish		100	\"magic missile\"\n",
"magic		100	\"create bomb\"\n",
"magic		100	\"summon golem\"\n",
"magic		100	\"summon fire elemental\"		/* 10 */\n",
"magic		100	\"summon earth elemental\"\n",
"magic		100	\"summon water elemental\"\n",
"magic		100	\"summon air elemental\"\n",
"first_try	100	\"dimension door\"\n",
"magic		100	\"create earth wall\"\n",
"Tear 		100	\"paralyze\"\n",
"Missle1		 80	\"icestorm\"\n",
"magic		100	\"magic mapping\"\n",
"Tear 		 90	\"turn undead\"\n",
"Tear 		 90	\"fear\"				/* 20 */\n",
"Missle1		100	\"poison cloud\"\n",
"magic		100	\"wonder\"\n",
"Explosion	 80	\"destruction\"\n",
"magic		100	\"perceive self\"\n",
"sci_fi_gun	100	\"word of recall\"\n",
"magic		100	\"invisible\"\n",
"magic		100	\"invisible to undead\"\n",
"magic		100	\"probe\"\n",
"swish		100	\"large bullet\"\n",
"magic		100	\"improved invisibility\"		/* 30 */\n",
"Tear 		100	\"holy word\"\n",
"magic		100	\"minor healing\"\n",
"magic		100	\"medium healing\"\n",
"magic		100	\"major healing\"\n",
"magic		100	\"heal\"\n",
"magic		100	\"create food\"\n",
"Explosion	 60	\"earth to dust\"\n",
"magic		100	\"armour\"\n",
"magic		100	\"strength\"\n",
"magic		100	\"dexterity\"			/* 40 */\n",
"magic		100	\"constitution\"\n",
"magic		100	\"charisma\"\n",
"magic		100	\"create fire wall\"\n",
"magic		100	\"create frost wall\"\n",
"magic		100	\"protection from cold\"\n",
"magic		100	\"protection from electricity\"\n",
"magic		100	\"protection from fire\"\n",
"magic		100	\"protection from poison\"\n",
"magic		100	\"protection from slow\"\n",
"magic		100	\"protection from paralysis\"	/* 50 */\n",
"magic		100	\"protection from draining\"\n",
"magic		100	\"protection from magic\"\n",
"magic		100	\"protection from attack\"\n",
"magic		100	\"levitate\"\n",
"Gun-5		100	\"small speedball\"\n",
"Gun-5		130	\"large speedball\"\n",
"Missle1		150	\"hellfire\"\n",
"Missle1		170	\"dragonbreath\"\n",
"Missle1		170	\"large icestorm\"\n",
"magic		100	\"charging\"			/* 60 */\n",
"magic		100	\"polymorph\"\n",
"swish		200	\"cancellation\"\n",
"Tear 		100	\"confusion\"\n",
"Tear 		150	\"mass confusion\"\n",
"magic		100	\"summon pet monster\"\n",
"magic 		100	\"slow\"\n",
"magic		100	\"regenerate spellpoints\"\n",
"magic		100	\"cure poison\"\n",
"magic		100	\"protection from confusion\"\n",
"magic		100	\"protection from cancellation\"	/* 70 */\n",
"magic		100	\"protection from depletion\"\n",
"magic		100	\"alchemy\"\n",
"Evil_Laugh	100	\"remove curse\"\n",
"Evil_Laugh	120	\"remove damnation\"\n",
"magic		100	\"identify\"\n",
"magic		100	\"detect magic\"\n",
"magic		100	\"detect monster\"\n",
"magic		100	\"detect evil\"\n",
"magic		100	\"detect curse\"\n",
"Explosion	100	\"heroism\"			/* 80 */\n",
"bugle_charge	100	\"aggravation\"\n",
"magic		100	\"firebolt\"\n",
"magic		100	\"frostbolt\"\n",
"Explosion	100	\"shockwave\"\n",
"magic		100	\"color spray\"\n",
"magic		100	\"haste\"\n",
"magic		100	\"face of death\"\n",
"lightning1	110	\"ball lightning\"\n",
"swish		100	\"meteor swarm\"\n",
"swish		100	\"comet\"				/* 90 */\n",
"magic		100	\"mystic fist\"\n",
"magic		100	\"raise dead\"\n",
"magic		100	\"resurrection\"\n",
"magic		100	\"reincarnation\"\n",
"magic		100	\"immune cold\"\n",
"magic		100	\"immune electricity\"\n",
"magic		100	\"immune fire\"\n",
"magic		100	\"immune poison\"\n",
"magic		100	\"immune slow\"\n",
"magic		100	\"immune paralysis\"		/* 100 */\n",
"magic		100	\"immune drain\"\n",
"magic		100	\"immune magic\"\n",
"magic		100	\"immune attack\"\n",
"magic		100	\"invulnerability\"\n",
"magic		100	\"defense\n",
"magic		100	\"rune fire\"\n",
"magic		100	\"rune frost\"\n",
"magic		100	\"rune shocking\"\n",
"magic		100	\"rune blasting\"\n",
"magic		100	\"rune death\"			/* 110 */\n",
"magic		100	\"marking rune\"\n",
"magic		100	\"build director\"\n",
"magic		100	\"pool of chaos\"\n",
"magic		100	\"build bullet wall\"\n",
"magic		100	\"build ligtning wall\"\n",
"magic		100	\"build fireball wall\"\n",
"magic		100	\"magic \"\n",
"magic		100	\"rune of magic drain\"\n",
"magic		100	\"antimagic rune\"\n",
"magic		100	\"rune transferrence\"		/* 120 */\n",
"magic		100	\"transferrence\"\n",
"magic		100	\"magic drain\"\n",
"magic		100	\"counterspell\"\n",
"magic		100	\"disarm\"\n",
"magic		100	\"cure confusion\"\n",
"magic		100	\"restoration\"\n",
"magic		100	\"summon evil monster\"\n",
"magic		100	\"counterwall\"\n",
"magic		100	\"cause light wounds\"\n",
"magic		100	\"cause medium wounds\"		/* 130 */\n",
"magic		100	\"cause serious wounds\"\n",
"magic		100	\"charm monsters\"\n",
"magic		100	\"banishment\"\n",
"magic		100	\"create missile\"\n",
"\n",
};
